###############################################
# notruf.py
#
# Ausgabe eines Notrufs (SOS) über eine
# Leuchtdiode
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2024
# Kap. 7
# 01. 07. 2024
###############################################
# notruf.py
from gpiozero import Button, LED
from time import sleep
from signal import pause
T = 0.2

def dit():
    led.on()
    sleep(T)
    led.off()
    sleep(T)

def dah():
    led.on()
    sleep(3*T)
    led.off()
    sleep(T)

def notruf():
    dit()
    dit()
    dit()
    dah()
    dah()
    dah()
    dit()
    dit()
    dit()

led = LED('BOARD10')
notknopf = Button(pin='BOARD5', bounce_time=0.1)
notknopf.when_pressed = notruf
pause()
   
