#---------------------------------------------
# abstand_ton.py
# Das Programm misst den Abstand zum nächsten Hindernis
# vor dem Ultraschallsensor und gibt die Entfernung
# als Ton aus. Wenn der Schalter (an GPIO Pin 3) geschlossen wird,
# wird das Programm beendet und der Computer heruntergefahren.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2024
# Kapitel 09
# 05. 07. 2024
#------------------------------------------------

import os, time
from gpiozero import DistanceSensor, Button             
sensor = DistanceSensor(echo="BOARD10",
                        trigger="BOARD8",
                        max_distance=6)         #1
ausSchalter = Button('BOARD3')                  #2

while not ausSchalter.is_pressed:               #3                
    pause = sensor.distance                     #4
    os.system('aplay sounds/boing.wav')         #5
    time.sleep(pause)                           #6
sensor.close()                                  #7
os.system('halt')                               #8

    
          
