#---------------------------------------------
# geschwindigkeit.py
# Das Programm misst die
# Geschwindigkeit eines Objekts, das sich dem US-Sensor
# nähert. 
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2024
# Kapitel 9
# 05. 07. 2024
#------------------------------------------------
from time import sleep
import warnings
warnings.simplefilter('ignore')                       #1
from gpiozero import DistanceSensor             

sensor = DistanceSensor(echo="BOARD10",
                        trigger="BOARD8",
                        max_distance=6)               #2
while True:
    sleep(0.4)                                        #3
    a = sensor.distance                               #4
    sleep(0.1)
    b = sensor.distance                               #5
    v = (a - b)/0.1                                   #6
    print('Geschwindigkeit:', round(v, 1), 'm/s')     #7

