#---------------------------------------------
# geschwindigkeit.py
# Das Programm misst die
# Geschwindigkeit eines Objekts, das sich dem US-Sensor
# nähert.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2024
# Kapitel 9
# 05. 07. 2024
#------------------------------------------------
from time import sleep
import warnings
warnings.simplefilter('ignore')
from gpiozero import DistanceSensor             #1

ZEIT = 0.1
sensor = DistanceSensor(echo="BOARD10",
                        trigger="BOARD8",
                        max_distance=4)         #2

while True:
    maxV = 0
    for i in range(20):
        a = sensor.distance
        sleep(ZEIT)
        b = sensor.distance
        v = (a - b)/ZEIT
        if v > maxV:
            maxV = v
    print('Geschwindigkeit:', round(maxV), 'm/s')            #4

