#---------------------------------------------
# oled_temp.py
# Auf dem Oled-Display wird die Temperatur ausgegeben
#
# Michael Weigend
# Raspberry Pi für Kids
# Kapitel 10
# 21. 07. 2024
#------------------------------------------------
from time import sleep
from adafruit_ssd1306 import SSD1306_I2C
from busio import I2C
from board import SCL, SDA
from PIL import Image, ImageDraw, ImageFont
from temp import readTemp                                 #1

FONT = "/usr/share/fonts/truetype/freefont/FreeSans.ttf"  #2
W, H = 128, 64
i2c = I2C(SCL, SDA)
disp = SSD1306_I2C(128, 64, i2c)
disp.show()
image = Image.new('1', (W, H))
draw = ImageDraw.Draw(image)  
font = ImageFont.truetype(FONT, size=30)                  #2
while True:                                               #3
    t = round(readTemp(), 1)                          
    text = str(t) + ' °C'                                 #4
    draw.rectangle((0,0,W, H),outline=0, fill=False)      #5
    draw.text((0,10), text, font=font, fill=True)         #6
    disp.image(image)                                     #7
    disp.show()                                           #8
    sleep(1)
           
        
   
