#! /usr/bin/python3
#---------------------------------------------
# gymnastik.pyw
# Der Trainer gibt eine bewegung vor.
# Per Ultraschall wird geprüft, ob die Bewegung
# gemacht wurde.
#
# Michael Weigend
# Raspberry Pi für Kids
# Kapitel 11
# 21. 07. 2024
#------------------------------------------------
from gpiozero import DistanceSensor
from tkinter import *
import random

def neue_position():
    # Setzt neues Bild auf Label.
    global position
    neu = position 
    while neu == position:
        positionen = list(bilder.keys())
        neu = random.choice(positionen)
    position = neu
    bild_label.config(image=bilder[position])
    
def start():
    # Startet neue Übung.
    global zeit, punkte
    if zeit == 0:
        zeit = 120
        zeit_label.config(text=str(zeit))
        punkte = 0
        fenster.after(1, tick)

def fertig():
    '# Prüft ob Spieler Übung gemacht hat'
    abstand = sensor.distance
    print(abstand)
    print(position)
    if position == 'hoch':
        return abstand < 0.6
    if position == 'stehen':
        return 0.6 < abstand < 1.4
    else:
        return abstand > 1.4

def tick():
    global zeit, punkte
    if zeit > 0:
        zeit -= 1
        zeit_label.config(text=str(zeit))
        if fertig():
            punkte += 1
            neue_position()
            punkte_label.config(text=str(punkte))
        fenster.after(1000, tick)

# Hauptprogramm
sensor = DistanceSensor(echo="BOARD10",
                        trigger="BOARD8",
                        max_distance=3)         

position='stehen'
fenster = Tk()
bilder = {'stehen':PhotoImage(file='stehen.gif'), 
           'hoch':PhotoImage(file='hoch.gif'),
           'hocke':PhotoImage(file='hocke.gif')}
bild_label = Label(master=fenster,
                   image=bilder['stehen'])
bild_label.grid(row=0, column=0, columnspan=3)
zeit_label = Label(master=fenster,
                text='120',font=('Arial', 20))
zeit_label.grid(row=1, column=0)
punkte_label = Label(master=fenster,
                text='0',font=('Arial', 20))
punkte_label.grid(row=1, column=1)
button = Button(master=fenster, command=start,
         text='Start', font=('Arial', 20))
button.grid(row=1, column=2)
zeit = 0
fenster.mainloop()

             
