#! /usr/bin/python3
#---------------------------------------------
# temperatur.pyw
# Auf dem Display wird die Temperatur angezeigt.
# Die hintergrundfarbe hängt von der aktuellen Temperatur ab.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2024
# Kapitel 11
# 21. 07. 2024
#------------------------------------------------
# temperatur.pyw
from temp import readTemp                             #1
from tkinter import *
FARBEN = ['#828', '#00f', '#04b', '#088', '#0b4',
          '#0f0', '#4b0', '#880', '#b40', '#f00']     #2
def tick():                                           
     t = round(readTemp())                            #3                          
     n = (t - 10) // 2                                #4
     if n < 0:
          i = 0                                       #5
     elif n > 9:                                     
          i = 9                                       #6
     else:
          i = n                                       #7
     text = str(t) + '°C'                             #8 
     label.config(text=text, bg=FARBEN[i])            #9
     fenster.after(1000, tick)


def beenden(event):                                   
    fenster.destroy()
    
fenster = Tk()
fenster.bind('<Any-KeyPress>', beenden)                

fenster.after(1000, fenster.attributes, '-fullscreen', True)   

label=Label(master=fenster,bg=FARBEN[4],
            font=('Courier', 200), fg='white',
            justify=LEFT)                              
label.pack(anchor=CENTER, expand=True, fill=BOTH)     
tick()
fenster.mainloop()
