#! /usr/bin/python3
#------------------------------------------------
# bewegung.py
# Wenn sich etwas bewegt, wird ein Foto aufgenommen
# und gespeichert
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2020
# Kapitel 16, Projekt 48
# 21. 09. 2020
#------------------------------------------------

import os, time 
from PIL import Image, ImageDraw
                            
ORDNER = 'garten/'   
KOMMANDO ='rpicam-still -t 300 --width {} --height {} -n -o {}'
SCHWELLE = 40                                         
MIN = 20

def unterschied(bild1, bild2):                      
    unterschiedliche_pixel = 0
    b1 = bild1.load()
    b2 = bild2.load()                 
    breite, hoehe = altes_bild.size
    for x in range(breite):
        for y in range(hoehe):

            pixel1 = b1[x, y]
            pixel2 = b2[x, y]
            d = abs(pixel1[1] - pixel2[1])   
            if d > SCHWELLE:
                 unterschiedliche_pixel += 1
    return unterschiedliche_pixel 

# Hauptprogramm
os.system(KOMMANDO.format(80, 60, ORDNER + 'bild.jpg'))
time.sleep(0.5)  
bild = Image.open(ORDNER + 'bild.jpg')
i = 0
while True:
  altes_bild = bild                    
  os.system(KOMMANDO.format(80, 60, ORDNER + 'bild.jpg'))
  bild = Image.open(ORDNER + 'bild.jpg')
  if unterschied(bild, altes_bild) > MIN:
    i += 1
    dateiname = 'bild_' + str(i) +'.jpg'
    os.system(KOMMANDO.format(400, 300, ORDNER + dateiname)) #15
    foto = Image.open(ORDNER + dateiname)
    foto_mit_zeit = ImageDraw.Draw(foto)
    foto_mit_zeit.text((0, 0), time.asctime())
    foto.save(ORDNER + dateiname) 
    time.sleep(3)
        

    


    
