#! /usr/bin/python3
#------------------------------------------------
# spuren.py
# Das Programm erfasst Bewegungsspuren. Dort, wo sich
# etwas bewegt hat, wird ein roter Punkt gesetzt.

# Michael Weigend
# Raspberry Pi für Kids
# mitp 2024
# Kapitel 16, Aufgabe 2
# 21. 07. 2024
#------------------------------------------------


import os, time 
from PIL import Image, ImageTk
from tkinter import Canvas, Tk, Button, NW
                            
KOMMANDO = 'rpicam-still -t 300 --width 400 --height 300 -n -o bild.jpg'
SCHWELLE = 30                                         

def run():
    global altes_bild, bild
    altes_bild = bild
    os.system(KOMMANDO)
    bild = Image.open('bild.jpg')
    b1 = altes_bild.load()
    b2 = bild.load()                 
    breite, höhe = bild.size
    for x in range(breite):
      for y in range(höhe):
        pixel1 = b1[x, y]
        pixel2 = b2[x, y]
        d = abs(pixel1[1] - pixel2[1])   
        if d > SCHWELLE:
            p = canvas.create_line(x, y,x, y+1, fill='red')
    fenster.after(2000, run)     

# Hauptprogramm
fenster = Tk()
canvas = Canvas(master=fenster,
                width=400, height=300)
canvas.pack()
os.system(KOMMANDO)
bild = Image.open('bild.jpg')
bild_tk = ImageTk.PhotoImage(bild)
canvas.create_image(0, 0, anchor=NW,
          image=bild_tk)
run()
fenster.mainloop()






    


    
